%define upstream_name    App-SD
%define upstream_version 0.74



Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A peer to peer ticket tracking system built on the Prophet distributed database
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(Email::Address)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Tree)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Net::GitHub)
BuildRequires: perl(Net::Jifty)
BuildRequires: perl(Net::Trac)
BuildRequires: perl(Prophet)
BuildRequires: perl(RT::Client::REST)
BuildRequires: perl(Test::Script::Run)
BuildRequires: perl(Time::Progress)
BuildRequires: perl(URI::file)
BuildRequires: perl(Net::Google::Code)
BuildRequires: perl(Net::Redmine)
BuildRequires: perl(Net::Lighthouse)
# (misc) likely a missing requires in prophet, wil look later
BuildRequires: perl-Path-Dispatcher-Declarative

BuildRequires: perl(Template::Declare)
# (misc) for net::redmine
BuildRequires: perl(Test::Cukes)
BuildRequires: perl(Text::Greeking)
# when Net::Trac will be fixed 
# https://rt.cpan.org/Ticket/Display.html?id=57063
#BuildRequires: trac-standalone trac-sqlite
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
SD is a peer to peer ticket tracking system built on the Prophet distributed 
database. SD is designed to make it easy to work with tickets and to share 
ticket databases with your collaborators.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
# (misc) check is stalled, didn't found why
rm -f t/server.t
# (misc) requires network access, do not work on iurt
rm -Rf t/sd-lighthouse
rm -Rf t/sd-gcode
rm -Rf t/sd-github


%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
%_bindir/*



%changelog
* Fri May 07 2010 Michael Scherer <misc@mandriva.org> 0.740.0-1mdv2010.1
+ Revision: 543211
- import perl-App-SD


* Thu May 06 2010 cpan2dist 0.74-1mdv
- initial mdv release, generated with cpan2dist
